# Uses of Class
org.apache.sysds.parser.LanguageException

Packages that use LanguageException
Package
Description
org.apache.sysds.parser
org.apache.sysds.runtime.einsum

## Uses of LanguageException in org.apache.sysds.parser

Methods in org.apache.sysds.parser that throw LanguageException
Modifier and Type
Method
Description
`Program`
DMLTranslator.`getRuntimeProgram(DMLProgram prog, DMLConfig config)`
`static String`
ParserWrapper.`readDMLScript(String script, org.apache.commons.logging.Log LOG)`

## Uses of LanguageException in org.apache.sysds.runtime.einsum

Methods in org.apache.sysds.runtime.einsum that throw LanguageException
Modifier and Type
Method
Description
`static <HopOrIdentifier extends ParseInfo>
org.apache.commons.lang3.tuple.Triple<Long,Long,Types.DataType>`
EinsumEquationValidator.`validateEinsumEquationAndReturnDimensions(String equationString, List<HopOrIdentifier> expressionsOrIdentifiers)`
`static Types.DataType`
EinsumEquationValidator.`validateEinsumEquationNoDimensions(String equationString, int numberOfMatrixInputs)`